//
// This file is released under the 3-clause BSD license. See COPYING-BSD.


function demo_advanced_model_learning_data_dynamic()

    mode(-1);
    lines(0);

    //Путь к библиотеке
    [a, pathlib] = libraryinfo("physics_learning_environmentlib");
    clear a;
    pathlib = strncpy(pathlib, length(pathlib) - length('Functions') - 1 - length('macros')) + 'xcos';

    //Демонстрируем код
    disp('//Функция фильтра');
    disp('function [parametrs]=DynamicFilterFunction1(time, value)');
    disp('    parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];');
    disp('endfunction');
    disp('function [parametr]=DynamicFilterFunction2(time, value)');
    disp('    parametr=sum(time.*value) / (2*length(time));');
    disp('endfunction');
    disp('//Массив функций фильтров');
    disp('DynamicFiltersFunctions = cell(1, 4);');
    disp('DynamicFiltersFunctions{1} = DynamicFilterFunction1;');
    disp('DynamicFiltersFunctions{2} = DynamicFilterFunction2;');
    disp('DynamicFiltersFunctions{3} = DynamicFilterFunction2;');
    disp('DynamicFiltersFunctions{4} = DynamicFilterFunction1;');
    disp('//Запускаем базовую функцию');
    disp('SystemParametrsNames = [''b'', ''a'', ''d''];//Имена параметров');
    disp('SystemParametrsValues = [ 1.5, 0.81, 3.81;');
    disp('                         2.25, 0.51, 6.81;');
    disp('                         1.11, 0.93, 3.51];//Значения параметров');
    disp('[SystemOutputCharacteristics.' + '.' + './/Выходные характеристики');
    disp(' ]=AdvancedModelLearningDataDynamic(SystemParametrsNames,.' + '.' + './/Имена параметров, определяющих динамику');
    disp('                                    SystemParametrsValues,.' + '.' + './/Значения параметров, определяющих динамику');
    disp('                                    [''A3'', ''A1'', ''A2''],.' + '.' + './/Имена выходных характеристик системы');
    disp('                                    [1, 1, 3, 2],.' + '.' + './/Индексы имен динамик');
    disp('                                    [3, 2, 1, 2],.' + '.' + './/Индексы динамик (в именах)');
    disp('                                    fullfile(pathlib, ''Proba3.zcos''),.' + '.' + './/Имя схемы системы');
    disp('                                    DynamicFiltersFunctions.' + '.' + './/Функция сжатия динамик');
    disp('                                    );');

    //Функция фильтра
    function [parametrs]=DynamicFilterFunction1(time, value)
        parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];
    endfunction
    function [parametr]=DynamicFilterFunction2(time, value)
        parametr=sum(time.*value) / (2*length(time));
    endfunction
    
    //Массив функций фильтров
    DynamicFiltersFunctions = cell(1, 4);
    DynamicFiltersFunctions{1} = DynamicFilterFunction1;
    DynamicFiltersFunctions{2} = DynamicFilterFunction2;
    DynamicFiltersFunctions{3} = DynamicFilterFunction2;
    DynamicFiltersFunctions{4} = DynamicFilterFunction1;
    
    //Запускаем базовую функцию
    SystemParametrsNames = ['b', 'a', 'd'];//Имена параметров
    SystemParametrsValues = [ 1.5, 0.81, 3.81;
                             2.25, 0.51, 6.81;
                             1.11, 0.93, 3.51];//Значения параметров
    [SystemOutputCharacteristics...//Выходные характеристики
     ]=AdvancedModelLearningDataDynamic(SystemParametrsNames,...//Имена параметров, определяющих динамику
                                        SystemParametrsValues,...//Значения параметров, определяющих динамику
                                        ['A3', 'A1', 'A2'],...//Имена выходных характеристик системы
                                        [1, 1, 3, 2],...//Индексы имен динамик
                                        [3, 2, 1, 2],...//Индексы динамик (в именах)
                                        fullfile(pathlib, 'Proba3.zcos'),...//Имя схемы системы
                                        DynamicFiltersFunctions...//Функция сжатия динамик
                                        );

    //Выводим характеристики
    disp('SystemOutputCharacteristics:');
    disp(SystemOutputCharacteristics);
endfunction

demo_advanced_model_learning_data_dynamic();
clear demo_advanced_model_learning_data_dynamic;
