//
// This file is released under the 3-clause BSD license. See COPYING-BSD.


function demo_advanced_model_learning_data_dynamic()

    mode(-1);
    lines(0);

    //Путь к библиотеке
    [a, pathlib] = libraryinfo("physics_learning_environmentlib");
    clear a;
    pathlib = strncpy(pathlib, length(pathlib) - length('Functions') - 1 - length('macros')) + 'xcos';

    //Демонстрируем код
    disp('//Создаем структуру аттрибутов');
    disp('systemAttributes = SystemAttributesInGenericTimeGrid(fullfile(pathlib, ''Proba3.zcos''),.'+'.'+'.//Имя схемы системы');
    disp('                                                     [''e'', ''d'', ''a''],.'+'.'+'.//Имена параметров модели');
    disp('                                                     [''b'', ''a'', ''d''],.'+'.'+'.//Имена параметров системы');
    disp('                                                     [1.11, 0.51, 3.51],.'+'.'+'.//Минимальные величины параметров системы');
    disp('                                                     [ 1.5, 0.81, 3.81;.'+'.'+'.');
    disp('                                                      2.25, 0.51, 6.81;.'+'.'+'.');
    disp('                                                      1.11, 0.93, 3.51],.'+'.'+'.//Величины параметров системы');
    disp('                                                     [2.25, 0.93, 6.81],.'+'.'+'.//Максимальные величины параметров системы');
    disp('                                                     [''A1'', ''A3'', ''A2''],.'+'.'+'.//Имена выходных характеристик системы');
    disp('                                                     [1, 3, 2, 2],.'+'.'+'.//Индексы имен выходных характеристик');
    disp('                                                     [2, 1, 1, 3],.'+'.'+'.//Индексы выходных характеристик');
    disp('                                                     [0.0:0.1:9.9]''.'+'.'+'.//Функции сжатия динамик выходных хараткеристик системы');
    disp('                                                     );');
    disp('disp(systemAttributes);');
    disp('//Запускаем базовую функцию');
    disp('[SystemOutputCharacteristics,.'+'.'+'.//Выходные характеристики');
    disp(' parametrs.'+'.'+'.//Параметры');
    disp(' ]=AdvancedModelLearningDataGeneralTimeGridWithGenericParametrs([''e'', ''c''],.'+'.'+'.//Имена параметров, определяющих динамику');
    disp('                                                                [ 6.3, 7.35;');
    disp('                                                                  1.5,  6.9;');
    disp('                                                                 2.13, 8.19],.'+'.'+'.//Значения параметров, определяющих динамику');
    disp('                                                                systemAttributes.'+'.'+'.//Аттрибуты системы');
    disp('                                                                );');

    //Создаем структуру аттрибутов
    systemAttributes = SystemAttributesInGenericTimeGrid(fullfile(pathlib, 'Proba3.zcos'),...//Имя схемы системы
                                                         ['e', 'd', 'a'],...//Имена параметров модели
                                                         ['b', 'a', 'd'],...//Имена параметров системы
                                                         [1.11, 0.51, 3.51],...//Минимальные величины параметров системы
                                                         [ 1.5, 0.81, 3.81;...
                                                          2.25, 0.51, 6.81;...
                                                          1.11, 0.93, 3.51],...//Величины параметров системы
                                                         [2.25, 0.93, 6.81],...//Максимальные величины параметров системы
                                                         ['A1', 'A3', 'A2'],...//Имена выходных характеристик системы
                                                         [1, 3, 2, 2],...//Индексы имен выходных характеристик
                                                         [2, 1, 1, 3],...//Индексы выходных характеристик
                                                         [0.0:0.1:9.9]'...//Функции сжатия динамик выходных хараткеристик системы
                                                         );
    disp(systemAttributes);
    
    //Запускаем базовую функцию
    [SystemOutputCharacteristics,...//Выходные характеристики
     ModelParametrsValues...//Параметры
     ]=AdvancedModelLearningDataGeneralTimeGridWithGenericParametrs(['e', 'c'],...//Имена параметров, определяющих динамику
                                                                    [ 6.3, 7.35;
                                                                      1.5,  6.9;
                                                                     2.13, 8.19],...//Значения параметров, определяющих динамику
                                                                    systemAttributes...//Аттрибуты системы
                                                                    );

    //Выводим характеристики
    disp('SystemOutputCharacteristics:');
    disp(SystemOutputCharacteristics); disp(size(SystemOutputCharacteristics));
    disp('ModelParametrsValues:');
    disp(ModelParametrsValues); disp(size(ModelParametrsValues));
endfunction

demo_advanced_model_learning_data_dynamic();
clear demo_advanced_model_learning_data_dynamic;
