//
// This file is released under the 3-clause BSD license. See COPYING-BSD.


function demo_advanced_model_learning_data_dynamic()

    mode(-1);
    lines(0);

    //Путь к библиотеке
    [a, pathlib] = libraryinfo("physics_learning_environmentlib");
    clear a;
    pathlib = strncpy(pathlib, length(pathlib) - length('Functions') - 1 - length('macros')) + 'xcos';

    //Демонстрируем код
    disp('//Функция фильтра');
    disp('function [parametrs]=DynamicFilterFunction1(time, value)');
    disp('    parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];');
    disp('endfunction');
    disp('function [parametr]=DynamicFilterFunction2(time, value)');
    disp('    parametr=sum(time.*value) / (2*length(time));');
    disp('endfunction');
    disp('//Массив функций фильтров');
    disp('DynamicFiltersFunctions = cell(1, 4);');
    disp('DynamicFiltersFunctions{1} = DynamicFilterFunction1;');
    disp('DynamicFiltersFunctions{2} = DynamicFilterFunction2;');
    disp('DynamicFiltersFunctions{3} = DynamicFilterFunction2;');
    disp('DynamicFiltersFunctions{4} = DynamicFilterFunction1;');
    disp('//Формируем динамику системы');
    disp('systemAttributes = SystemAttributes(fullfile(pathlib, ''Proba5.zcos''),.' + '.' + './/Имя схемы системы');
    disp('                                    [''a'', ''d''],.' + '.' + './/Имена параметров модели');
    disp('                                    [''b'', ''a'', ''d''],.' + '.' + './/Имена параметров');
    disp('                                    [1.11, 0.51, 3.51],.' + '.' + './/Минимальные значения параметров');
    disp('                                    [ 1.5, 0.81, 3.81;.' + '.' + '.');
    disp('                                     2.25, 0.51, 6.81;.' + '.' + '.');
    disp('                                     1.11, 0.93, 3.51],.' + '.' + './/Значения параметров');
    disp('                                    [2.25, 0.93, 6.81],.' + '.' + './/Максимальные значения параметров');
    disp('                                    [''A3'', ''A1'', ''A2''],.' + '.' + './/Имена выходных характеристик системы');
    disp('                                    [1, 1, 3, 2],.' + '.' + './/Индексы имен динамик');
    disp('                                    [3, 2, 1, 2],.' + '.' + './/Индексы динамик (в именах)');
    disp('                                    DynamicFiltersFunctions.' + '.' + './/Функция сжатия динамик');
    disp('                                    );');
    disp('//Запускаем базовую функцию');
    disp('[SystemOutputCharacteristics,.' + '.' + './/Выходные характеристики');
    disp(' ModelParametrsValues.' + '.' + './/Значения параметров модели');
    disp(' ]=AdvancedModelLearningDataDynamicWithGenericParametrsEx([''c'', ''a'', ''d''],.' + '.' + './/Имена глобальных параметров');
      disp('                                                        [''g'', ''c''],.' + '.' + './/Имена глобальных параметров');
    disp('                                                          [ 6.3, 7.35;.' + '.' + '.');
    disp('                                                            1.5,  6.9;.' + '.' + '.');
    disp('                                                           2.13, 8.19],.' + '.' + './/Имена параметров, определяющих динамику');
    disp('                                                          systemAttributes.' + '.' + './/Аттрибуты системы');
    disp('                                                          );');

    //Функция фильтра
    function [parametrs]=DynamicFilterFunction1(time, value)
        parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];
    endfunction
    function [parametr]=DynamicFilterFunction2(time, value)
        parametr=sum(time.*value) / (2*length(time));
    endfunction
    
    //Массив функций фильтров
    DynamicFiltersFunctions = cell(1, 4);
    DynamicFiltersFunctions{1} = DynamicFilterFunction1;
    DynamicFiltersFunctions{2} = DynamicFilterFunction2;
    DynamicFiltersFunctions{3} = DynamicFilterFunction2;
    DynamicFiltersFunctions{4} = DynamicFilterFunction1;
    
    //Формируем динамику системы
    systemAttributes = SystemAttributes(fullfile(pathlib, 'Proba5.zcos'),...//Имя схемы системы
                                        ['a', 'd'],...//Имена параметров модели
                                        ['b', 'a', 'd'],...//Имена параметров
                                        [1.11, 0.51, 3.51],...//Минимальные значения параметров
                                        [ 1.5, 0.81, 3.81;...
                                         2.25, 0.51, 6.81;...
                                         1.11, 0.93, 3.51],...//Значения параметров
                                        [2.25, 0.93, 6.81],...//Максимальные значения параметров
                                        ['A3', 'A1', 'A2'],...//Имена выходных характеристик системы
                                        [1, 1, 3, 2],...//Индексы имен динамик
                                        [3, 2, 1, 2],...//Индексы динамик (в именах)
                                        DynamicFiltersFunctions...//Функция сжатия динамик
                                        );
    disp(systemAttributes);

    //Запускаем базовую функцию
    [SystemOutputCharacteristics,...//Выходные характеристики
     ModelParametrsValues...//Значения параметров системы
     ]=AdvancedModelLearningDataDynamicWithGenericParametrsEx(['c', 'a', 'd'],...//Имена параметров модели
                                                              ['g', 'c'],...//Имена глобальных параметров
                                                              [ 6.3, 7.35;...
                                                                1.5,  6.9;...
                                                               2.13, 8.19],...//Имена параметров, определяющих динамику
                                                              systemAttributes...//Аттрибуты системы
                                                              );

    //Выводим характеристики
    disp('SystemOutputCharacteristics:');
    disp(SystemOutputCharacteristics);
    disp('ModelParametrsValues:');
    disp(ModelParametrsValues);
endfunction

demo_advanced_model_learning_data_dynamic();
clear demo_advanced_model_learning_data_dynamic;
