//
// This file is released under the 3-clause BSD license. See COPYING-BSD.


function demo_computing_experiment()

    mode(-1);
    lines(0);

    //Путь к библиотеке
    [a, pathlib] = libraryinfo("physics_learning_environmentlib");
    clear a;
    pathlib = strncpy(pathlib, length(pathlib) - length('Functions') - 1 - length('macros')) + 'xcos';

    //Демонстрируем код
    disp('SystemParametrsNames = [''b'', ''d''];//Имена параметров');
    disp('SystemParametrsValues = [1.5, 3.81];//Значения параметров');
    disp('SystemOutputChatacteristicsNames = [''A1'', ''A3'', ''A2''];//Имена выходных характеристик модели');
    disp('SystemShema = xcosDiagramToScilab(fullfile(pathlib, ''Proba1.zcos''));//Схема системы');
    disp('[SystemModelOutputChatacteristics.' + '.' + './/Выходные характеристики системы');
    disp(' ]=ComputingExperiment(SystemParametrsNames,.' + '.' + './/Имена параметров');
    disp('                       SystemParametrsValues,.' + '.' + './/Значения параметров');
    disp('                       SystemOutputChatacteristicsNames,.' + '.' + './/Имена выходных характеристик модели');
    disp('                       SystemShema.' + '.' + './/Схема системы');
    disp('                       );');
    
    //Запускаем базовую функцию
    SystemParametrsNames = ['b', 'd'];//Имена параметров
    SystemParametrsValues = [1.5, 3.81];//Значения параметров
    SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2'];//Имена выходных характеристик модели
    SystemShema = xcosDiagramToScilab(fullfile(pathlib, 'Proba1.zcos'));//Схема системы
    [SystemModelOutputChatacteristics...//Выходные характеристики системы
     ]=ComputingExperiment(SystemParametrsNames,...//Имена параметров
                           SystemParametrsValues,...//Значения параметров
                           SystemOutputChatacteristicsNames,...//Имена выходных характеристик модели
                           SystemShema...//Схема системы
                           );

    //Выводим характеристики
    disp('Characteristics A1:');
    disp('A1.time:'); disp(SystemModelOutputChatacteristics(1).time);
    disp('A1.values:'); disp(SystemModelOutputChatacteristics(1).values);
    disp('Characteristics A2:');
    disp('A2.time:'); disp(SystemModelOutputChatacteristics(2).time);
    disp('A2.values:'); disp(SystemModelOutputChatacteristics(2).values);
    disp('Characteristics A3:');
    disp('A3.time:'); disp(SystemModelOutputChatacteristics(3).time);
    disp('A3.values:'); disp(SystemModelOutputChatacteristics(3).values);
endfunction

demo_computing_experiment();
clear demo_computing_experiment;
