//
// This file is released under the 3-clause BSD license. See COPYING-BSD.


function demo_count_dynamics_proections()

    mode(-1);
    lines(0);

    //Путь к библиотеке
    [a, pathlib] = libraryinfo("physics_learning_environmentlib");
    clear a;
    pathlib = strncpy(pathlib, length(pathlib) - length('Functions') - 1 - length('macros')) + 'xcos';

    //Демонстрируем код
    disp('//Функция фильтра');
    disp('function [parametrs]=DynamicFilterFunction1(time, value)');
    disp('    parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];');
    disp('endfunction');
    disp('function [parametr]=DynamicFilterFunction2(time, value)');
    disp('    parametr=sum(time.*value) / (2*length(time));');
    disp('endfunction');
    disp('//Запускаем динамику');
    disp('SystemShema = xcosDiagramToScilab(fullfile(pathlib, ''Proba1.zcos''));//Схема системы');
    disp('xcos_simulate(SystemShema, 4);');
    disp('//Массив функций фильтров');
    disp('DynamicFiltersFunctions = cell(1, 3);');
    disp('DynamicFiltersFunctions{1} = DynamicFilterFunction1;');
    disp('DynamicFiltersFunctions{2} = DynamicFilterFunction2;');
    disp('DynamicFiltersFunctions{3} = DynamicFilterFunction2;');
    disp('//Берем фильтры');
    disp('[parametrs.' + '.' + './/Параметры');
    disp(' ]=CountDynamicsProections([A3, A2],.' + '.' + './/Переменная динамики');
    disp('                           [1, 1, 2],.' + '.' + './/Индексы имен динамик');
    disp('                           [3, 2, 1],.' + '.' + './/Индексы динамик (в именах)');
    disp('                           DynamicFiltersFunctions.' + '.' + './/Функция фильтра динамики');
    disp('                           );');

    //Функция фильтра
    function [parametrs]=DynamicFilterFunction1(time, value)
        parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];
    endfunction
    function [parametr]=DynamicFilterFunction2(time, value)
        parametr=sum(time.*value) / (2*length(time));
    endfunction
    
    //Запускаем динамику
    SystemShema = xcosDiagramToScilab(fullfile(pathlib, 'Proba1.zcos'));//Схема системы
    xcos_simulate(SystemShema, 4);
    
    //Массив функций фильтров
    DynamicFiltersFunctions = cell(1, 3);
    DynamicFiltersFunctions{1} = DynamicFilterFunction1;
    DynamicFiltersFunctions{2} = DynamicFilterFunction2;
    DynamicFiltersFunctions{3} = DynamicFilterFunction2;
    
    //Берем фильтры
    [parametrs...//Параметры
     ]=CountDynamicsProections([A3, A2],...//Переменная динамики
                               [1, 1, 2],...//Индексы имен динамик
                               [3, 2, 1],...//Индексы динамик (в именах)
                               DynamicFiltersFunctions...//Функция фильтра динамики
                               );

    //Выводим характеристики
    disp('Parametrs:');
    disp(parametrs);
endfunction

demo_count_dynamics_proections();
clear demo_count_dynamics_proections;
