//
// This file is released under the 3-clause BSD license. See COPYING-BSD.


function demo_dynamics_to_general_time_grid()

    mode(-1);
    lines(0);

    //Путь к библиотеке
    [a, pathlib] = libraryinfo("physics_learning_environmentlib");
    clear a;
    pathlib = strncpy(pathlib, length(pathlib) - length('Functions') - 1 - length('macros')) + 'xcos';

    //Демонстрируем код
    disp('//Запускаем динамику');
    disp('SystemShema = xcosDiagramToScilab(fullfile(pathlib, ''Proba2.zcos''));//Схема системы');
    disp('xcos_simulate(SystemShema, 4);');
    disp('//Берем фильтры');
    disp('[DynamicsInGeneralTimeGrid.' + '.' + './/Параметры');
    disp(' ]=DynamicsToGeneralTimeGrid([A3, A1, A2],.' + '.' + './/Переменная динамики');
    disp('                             [1, 1, 3, 2],.' + '.' + './/Индексы имен динамик');
    disp('                             [3, 2, 1, 2],.' + '.' + './/Индексы динамик (в именах)');
    disp('                             [0.15:0.15:9.9]''.' + '.' + './/Моменты времени');
    disp('                             );');

    //Запускаем динамику
    SystemShema = xcosDiagramToScilab(fullfile(pathlib, 'Proba2.zcos'));//Схема системы
    xcos_simulate(SystemShema, 4);
    
    //Берем фильтры
    [DynamicsInGeneralTimeGrid...//Параметры
     ]=DynamicsToGeneralTimeGrid([A3, A1, A2],...//Переменная динамики
                                 [1, 1, 3, 2],...//Индексы имен динамик
                                 [3, 2, 1, 2],...//Индексы динамик (в именах)
                                 [0.15:0.15:9.9]'...//Моменты времени
                                 ); 


    //Выводим характеристики
    disp('Dynamics in general time grid:');
    disp(DynamicsInGeneralTimeGrid);
endfunction

demo_dynamics_to_general_time_grid();
clear demo_dynamics_to_general_time_grid;
