//Основная функция типа данных
function [systemAttributes]=SystemAttributesControlMode(SystemShemaName,...//Имя схемы системы
                                                        SystemParametrsNames,...//Имена параметров системы
                                                        SystemParametrsMinValues,...//Минимальные величины параметров системы
                                                        SystemParametrsValues,...//Величины параметров системы
                                                        SystemParametrsMaxValues,...//Максимальные величины параметров системы
                                                        SystemOutputCharacteristicsNames,...//Имена выходных характеристик системы
                                                        SystemOutputCharacteristicsNamesIndexes,...//Индексы имен выходных характеристик
                                                        SystemOutputCharacteristicsIndexes,...//Индексы выходных характеристик
                                                        SystemOutputCharacteristicsCompressionFunctions...//Функции сжатия динамик выходных хараткеристик системы
                                                        )
    //Проверяем число аргументов
    nArg = argn(2);
    if (nArg ~= 5) && (nArg < 7) && (nArg > 9) then
        error("Function SystemAttributes takes 5, 7, 8, 9 or 10 arguments");
        return;
    end
    select nArg 
    case 5 then
        //Перераспределяем значения аргументов
        SystemOutputCharacteristicsNames = SystemParametrsNames;//Имена выходных характеристик системы
        SystemOutputCharacteristicsNamesIndexes = SystemParametrsMinValues;//Индексы имен выходных характеристик
        SystemOutputCharacteristicsIndexes = SystemParametrsValues;//Индексы выходных характеристик
        SystemOutputCharacteristicsCompressionFunctions = SystemParametrsMaxValues;//Функции сжатия динамик выходных хараткеристик системы
        
        //Задаем пустые множества отсутствующим аргументам
        SystemParametrsNames = [];//Имена параметров системы
        SystemParametrsMinValues = [];//Минимальные величины параметров системы
        SystemParametrsValues = [];//Величины параметров системы
        SystemParametrsMaxValues = [];//Максимальные величины параметров системы
    case 7 then
        //Перераспределяем значения аргументов
        SystemOutputCharacteristicsCompressionFunctions = SystemOutputCharacteristicsNamesIndexes;//Функции сжатия динамик выходных хараткеристик системы
        SystemOutputCharacteristicsIndexes = SystemOutputCharacteristicsNames;//Индексы выходных характеристик
        SystemOutputCharacteristicsNamesIndexes = SystemParametrsMaxValues;//Индексы имен выходных характеристик
        SystemOutputCharacteristicsNames = SystemParametrsValues;//Имена выходных характеристик системы
        SystemParametrsValues = SystemParametrsMinValues;//Величины параметров системы
        
        //Задаем пустые множества отсутствующим аргументам
        SystemParametrsMinValues = [];//Минимальные величины параметров системы
        SystemParametrsMaxValues = [];//Максимальные величины параметров системы
    case 8 then
        //Перераспределяем значения аргументов
        SystemOutputCharacteristicsCompressionFunctions = SystemOutputCharacteristicsIndexes;//Функции сжатия динамик выходных хараткеристик системы
        SystemOutputCharacteristicsIndexes = SystemOutputCharacteristicsNamesIndexes;//Индексы выходных характеристик
        SystemOutputCharacteristicsNamesIndexes = SystemOutputCharacteristicsNames;//Индексы имен выходных характеристик
        SystemOutputCharacteristicsNames = SystemParametrsMaxValues;//Имена выходных характеристик системы
        SystemParametrsMaxValues = SystemParametrsValues;//Максимальные величины параметров системы
        
        //Задаем пустые множества отсутствующим аргументам
        SystemParametrsValues = [];//Величины параметров системы
    end
    
    //Создаем экземпляр типа данных
    systemAttributes = mlist(["SystemAttributesControlMode",...//Имя типа данных
                              "SystemShemaName",...//Имя схемы системы
                              "SystemParametrsNames",...//Имена параметров системы
                              "SystemParametrsMinValues",...//Минимальные величины параметров системы
                              "SystemParametrsValues",...//Величины параметров системы
                              "SystemParametrsMaxValues",...//Максимальные величины параметров системы
                              "SystemOutputCharacteristicsNames",...//Имена выходных характеристик системы
                              "SystemOutputCharacteristicsNamesIndexes",...//Индексы имен выходных характеристик
                              "SystemOutputCharacteristicsIndexes",...//Индексы выходных характеристик
                              "SystemOutputCharacteristicsCompressionFunctions"...//Функции сжатия динамик выходных хараткеристик системы
                              ],...
                             SystemShemaName,...//Имя схемы системы
                             SystemParametrsNames,...//Имена параметров системы
                             SystemParametrsMinValues,...//Минимальные величины параметров системы
                             SystemParametrsValues,...//Величины параметров системы
                             SystemParametrsMaxValues,...//Максимальные величины параметров системы
                             SystemOutputCharacteristicsNames,...//Имена выходных характеристик системы
                             SystemOutputCharacteristicsNamesIndexes,...//Индексы имен выходных характеристик
                             SystemOutputCharacteristicsIndexes,...//Индексы выходных характеристик
                             SystemOutputCharacteristicsCompressionFunctions...//Функции сжатия динамик выходных хараткеристик системы
                             );
endfunction
