//Основная функция типа данных
function [systemAttributes]=SystemAttributesInGenericTimeGrid(SystemShemaName,...//Имя схемы системы
                                                              ModelParametrsNames,...//Имена параметров модели
                                                              SystemParametrsNames,...//Имена параметров системы
                                                              SystemParametrsMinValues,...//Минимальные величины параметров системы
                                                              SystemParametrsValues,...//Величины параметров системы
                                                              SystemParametrsMaxValues,...//Максимальные величины параметров системы
                                                              SystemOutputCharacteristicsNames,...//Имена выходных характеристик системы
                                                              SystemOutputCharacteristicsNamesIndexes,...//Индексы имен выходных характеристик
                                                              SystemOutputCharacteristicsIndexes,...//Индексы выходных характеристик
                                                              TimeMoments...//Функции сжатия динамик выходных хараткеристик системы
                                                              )
    //Проверяем число аргументов
    nArg = argn(2);
    if (nArg ~= 5) && (nArg < 7) then
        error("Function SystemAttributesInGenericTimeGrid 5, 7, 8, 9 or 10 arguments");
        return;
    end
    select nArg 
    case 5 then
        //Перераспределяем значения аргументов
        SystemOutputCharacteristicsNames = ModelParametrsNames;//Имена выходных характеристик системы
        SystemOutputCharacteristicsNamesIndexes = SystemParametrsNames;//Индексы имен выходных характеристик
        SystemOutputCharacteristicsIndexes = SystemParametrsMinValues;//Индексы выходных характеристик
        TimeMoments = SystemParametrsValues;//Функции сжатия динамик выходных хараткеристик системы
        
        //Задаем пустые множества отсутствующим аргументам
        ModelParametrsNames = [];//Имена параметров модели
        SystemParametrsNames = [];//Имена параметров системы
        SystemParametrsMinValues = [];//Минимальные величины параметров системы
        SystemParametrsValues = [];//Величины параметров системы
        SystemParametrsMaxValues = [];//Максимальные величины параметров системы
    case 7 then
        //Перераспределяем значения аргументов
        TimeMoments = SystemOutputCharacteristicsNames;//Функции сжатия динамик выходных хараткеристик системы
        SystemOutputCharacteristicsIndexes = SystemParametrsMaxValues;//Индексы выходных характеристик
        SystemOutputCharacteristicsNamesIndexes = SystemParametrsValues;//Индексы имен выходных характеристик
        SystemOutputCharacteristicsNames = SystemParametrsMinValues;//Имена выходных характеристик системы
        SystemParametrsValues = SystemParametrsNames;//Величины параметров системы
        SystemParametrsNames = ModelParametrsNames;//Имена параметров системы
        
        //Задаем пустые множества отсутствующим аргументам
        ModelParametrsNames = [];//Имена параметров модели
        SystemParametrsMinValues = [];//Минимальные величины параметров системы
        SystemParametrsMaxValues = [];//Максимальные величины параметров системы
    case 8 then
        //Перераспределяем значения аргументов
        TimeMoments = SystemOutputCharacteristicsNamesIndexes;//Функции сжатия динамик выходных хараткеристик системы
        SystemOutputCharacteristicsIndexes = SystemOutputCharacteristicsNames;//Индексы выходных характеристик
        SystemOutputCharacteristicsNamesIndexes = SystemParametrsMaxValues;//Индексы имен выходных характеристик
        SystemOutputCharacteristicsNames = SystemParametrsValues;//Имена выходных характеристик системы
        SystemParametrsMaxValues = SystemParametrsMinValues;//Максимальные величины параметров системы
        SystemParametrsMinValues = SystemParametrsNames;//Минимальные величины параметров системы
        SystemParametrsNames = ModelParametrsNames;//Имена параметров системы
        
        //Задаем пустые множества отсутствующим аргументам
        ModelParametrsNames = [];//Имена параметров модели
        SystemParametrsValues = [];//Величины параметров системы
    case 9 then
        //Перераспределяем значения аргументов
        TimeMoments = SystemOutputCharacteristicsIndexes;//Функции сжатия динамик выходных хараткеристик системы
        SystemOutputCharacteristicsIndexes = SystemOutputCharacteristicsNamesIndexes;//Индексы выходных характеристик
        SystemOutputCharacteristicsNamesIndexes = SystemOutputCharacteristicsNames;//Индексы имен выходных характеристик
        SystemOutputCharacteristicsNames = SystemParametrsMaxValues;//Имена выходных характеристик системы
        SystemParametrsMaxValues = SystemParametrsValues;//Максимальные величины параметров системы
        SystemParametrsValues = SystemParametrsMinValues;//Величины параметров системы
        SystemParametrsMinValues = SystemParametrsNames;//Минимальные величины параметров системы
        SystemParametrsNames = ModelParametrsNames;//Имена параметров системы
        
        //Задаем пустые множества отсутствующим аргументам
        ModelParametrsNames = [];//Имена параметров модели
    end
    
    //Создаем экземпляр типа данных
    systemAttributes = mlist(["SystemAttributesInGenericTimeGrid",...//Имя типа данных
                              "SystemShemaName",...//Имя схемы системы
                              "ModelParametrsNames",...//Имена параметров модели
                              "SystemParametrsNames",...//Имена параметров системы
                              "SystemParametrsMinValues",...//Минимальные величины параметров системы
                              "SystemParametrsValues",...//Величины параметров системы
                              "SystemParametrsMaxValues",...//Максимальные величины параметров системы
                              "SystemOutputCharacteristicsNames",...//Имена выходных характеристик системы
                              "SystemOutputCharacteristicsNamesIndexes",...//Индексы имен выходных характеристик
                              "SystemOutputCharacteristicsIndexes",...//Индексы выходных характеристик
                              "TimeMoments"...//Функции сжатия динамик выходных хараткеристик системы
                              ],...
                             SystemShemaName,...//Имя схемы системы
                             ModelParametrsNames,...//Имена параметров модели
                             SystemParametrsNames,...//Имена параметров системы
                             SystemParametrsMinValues,...//Минимальные величины параметров системы
                             SystemParametrsValues,...//Величины параметров системы
                             SystemParametrsMaxValues,...//Максимальные величины параметров системы
                             SystemOutputCharacteristicsNames,...//Имена выходных характеристик системы
                             SystemOutputCharacteristicsNamesIndexes,...//Индексы имен выходных характеристик
                             SystemOutputCharacteristicsIndexes,...//Индексы выходных характеристик
                             TimeMoments...//Функции сжатия динамик выходных хараткеристик системы
                             );
endfunction
