//Приведение динамик к единой заданной пользователем временной сетке
function [DynamicsInGeneralTimeGrid...//Динамики в единой временной сетке
          ]=DynamicsToGeneralTimeGrid(Dynamics,...//Массив динамик
                                      DynamicsNamesIndexes,...//Индексы имен динамик
                                      DynamicsIndexes,...//Индексы динамик (в именах)
                                      TimesMoments...//Моменты времени
                                      )
    //Проверяем число аргументов
    if argn(2) ~= 4 then
        error('Function DynamicsToGeneralTimeGrid takes 4 arguments');
        return;
    end
    
    //Проверяем корректность аргументов
    if isempty(Dynamics) then
        parametrs = [];
        return;
    end
    if (type(Dynamics) ~= 17) || (typeof(Dynamics) ~= 'st') then
        error('The first argument of DynamicsToGeneralTimeGrid function is dynamic variables type');
        return;
    end
    if isempty(DynamicsNamesIndexes) then
        parametrs = [];
        return;
    end
    if type(DynamicsNamesIndexes) ~= 1 then
        error('The second argument of DynamicsToGeneralTimeGrid function is array of integer');
        return;
    end
    if size(DynamicsNamesIndexes)(1) ~= 1 then
        error('The dynamics names indexes matrix is 1xN vector');
        return;
    end
    if isempty(DynamicsIndexes) then
        parametrs = [];
        return;
    end
    if type(DynamicsIndexes) ~= 1 then
        error('The third argument of DynamicsToGeneralTimeGrid function is array of integer');
        return;
    end
    if or(size(DynamicsNamesIndexes) ~= size(DynamicsIndexes)) then
        error('The sizes of dynamics names idexes and dynamic indexes matrixes must be equality');
        return;
    end
    if isempty(TimesMoments) then
        DynamicsInGeneralTimeGrid = [];
        return;
    end
    if (type(TimesMoments) ~= 1) || (size(TimesMoments)(2) ~= 1) then
        error('The 4th argument of DynamicsToGeneralTimeGrid function is real array Mx1');
        return;
    end
    
    //Выполняем фильтрацию
    function [dynamicAfterConvercion]=ExecConvercion(ind)//Вспомогательная функция фильтрации по индексу
        dynamicAfterConvercion = interp1(Dynamics(DynamicsNamesIndexes(ind)).time,...
                                         Dynamics(DynamicsNamesIndexes(ind)).values(:,DynamicsIndexes(ind)),...
                                         TimesMoments, "spline");
    endfunction
    DynamicsInGeneralTimeGrid=Vectorization(1:length(DynamicsIndexes), ExecConvercion);
endfunction
