//Функция фильтра
function [parametrs]=DynamicFilterFunction1(time, value)
    parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];
endfunction
function [parametr]=DynamicFilterFunction2(time, value)
    parametr=sum(time.*value) / (2*length(time));
endfunction

//Массив функций фильтров
DynamicFiltersFunctions = cell(1, 7);
DynamicFiltersFunctions{1} = DynamicFilterFunction1;
DynamicFiltersFunctions{2} = DynamicFilterFunction2;
DynamicFiltersFunctions{3} = DynamicFilterFunction1;
DynamicFiltersFunctions{4} = DynamicFilterFunction2;
DynamicFiltersFunctions{5} = DynamicFilterFunction2;
DynamicFiltersFunctions{6} = DynamicFilterFunction1;
DynamicFiltersFunctions{7} = DynamicFilterFunction2;

//Формируем динамику системы
systemAttributes = SystemAttributesControlMode('File3.zcos',...//Имя схемы системы
                                               ['tre', 'at5', 'yte', '9yt'],...//Имена параметров
                                               [ 4.5, 3.81, 6.81;...
                                                5.25, 3.51, 9.81;...
                                                4.11, 3.93, 6.51],...//Значения параметров
                                               ['B3', 'B1', 'B2'],...//Имена выходных характеристик системы
                                               [4, 4, 6, 5],...//Индексы имен динамик
                                               [6, 5, 4, 5],...//Индексы динамик (в именах)
                                               DynamicFiltersFunctions...//Функция сжатия динамик
                                               );

//Проверка
assert_checkequal(systemAttributes.SystemShemaName, 'File3.zcos');
assert_checkequal(systemAttributes.SystemParametrsNames, ['tre', 'at5', 'yte', '9yt']);
assert_checkequal(systemAttributes.SystemParametrsMinValues, []);
assert_checkequal(systemAttributes.SystemParametrsValues, [ 4.5, 3.81, 6.81;...
                                                           5.25, 3.51, 9.81;...
                                                           4.11, 3.93, 6.51]);
assert_checkequal(systemAttributes.SystemParametrsMaxValues, []);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsNames, ['B3', 'B1', 'B2']);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsNamesIndexes, [4, 4, 6, 5]);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsIndexes, [6, 5, 4, 5]);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsCompressionFunctions, DynamicFiltersFunctions);
