//Формируем динамику системы
systemAttributes = SystemAttributesInGenericTimeGrid('File3.zcos',...//Имя схемы системы
                                                     ['gte', 'yte', '9yt', '6re4', 'uyr'],...//Имена параметров модели
                                                     ['tre', 'at5', 'yte', '9yt'],...//Имена параметров
                                                     [4.11, 3.51, 6.51],...//Минимальные значения параметров
                                                     [ 4.5, 3.81, 6.81;...
                                                      5.25, 3.51, 9.81;...
                                                      4.11, 3.93, 6.51],...//Значения параметров
                                                     [5.25, 3.93, 9.81],...//Максимальные значения параметров
                                                     ['B3', 'B1', 'B2'],...//Имена выходных характеристик системы
                                                     [4, 4, 6, 5],...//Индексы имен динамик
                                                     [6, 5, 4, 5],...//Индексы динамик (в именах)
                                                     [1.1:0.03:2.7]'...//Функция сжатия динамик
                                                     );

//Проверка
assert_checkequal(systemAttributes.SystemShemaName, 'File3.zcos');
assert_checkequal(systemAttributes.ModelParametrsNames, ['gte', 'yte', '9yt', '6re4', 'uyr']);
assert_checkequal(systemAttributes.SystemParametrsNames, ['tre', 'at5', 'yte', '9yt']);
assert_checkequal(systemAttributes.SystemParametrsMinValues, [4.11, 3.51, 6.51]);
assert_checkequal(systemAttributes.SystemParametrsValues, [ 4.5, 3.81, 6.81;...
                                                           5.25, 3.51, 9.81;...
                                                           4.11, 3.93, 6.51]);
assert_checkequal(systemAttributes.SystemParametrsMaxValues, [5.25, 3.93, 9.81]);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsNames, ['B3', 'B1', 'B2']);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsNamesIndexes, [4, 4, 6, 5]);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsIndexes, [6, 5, 4, 5]);
assert_checkequal(systemAttributes.TimeMoments, [1.1:0.03:2.7]');
