[a, pathlib] = libraryinfo("physics_learning_environmentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('Functions') - 1 - length('macros')) + 'xcos';

//Функция фильтра
function [parametrs]=DynamicFilterFunction1(time, value)
    parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];
endfunction
function [parametr]=DynamicFilterFunction2(time, value)
    parametr=sum(time.*value) / (2*length(time));
endfunction

//Массив функций фильтров
DynamicFiltersFunctions = cell(1, 4);
DynamicFiltersFunctions{1} = DynamicFilterFunction1;
DynamicFiltersFunctions{2} = DynamicFilterFunction2;
DynamicFiltersFunctions{3} = DynamicFilterFunction2;
DynamicFiltersFunctions{4} = DynamicFilterFunction1;

//Формируем динамику системы
systemAttributes = SystemAttributesControlMode(fullfile(pathlib, 'Proba5.zcos'),...//Имя схемы системы
                                               ['b', 'a', 'd'],...//Имена параметров
                                               [1.11, 0.51, 3.51],...//Минимальные значения параметров
                                               [ 1.5, 0.81, 3.81;...
                                                2.25, 0.51, 6.81;...
                                                1.11, 0.93, 3.51],...//Значения параметров
                                               [2.25, 0.93, 6.81],...//Максимальные значения параметров
                                               ['A3', 'A1', 'A2'],...//Имена выходных характеристик системы
                                               [1, 1, 3, 2],...//Индексы имен динамик
                                               [3, 2, 1, 2],...//Индексы динамик (в именах)
                                               DynamicFiltersFunctions...//Функция сжатия динамик
                                               );

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 ModelParametrsValues...//Значения параметров системы
 ]=AdvancedModelLearningDataDynamicWithGenericParametrsEx(['c', 'a', 'd'],...//Имена параметров модели
                                                          ['g', 'c'],...//Имена глобальных параметров
                                                          [ 6.3, 7.35;...
                                                            1.5,  6.9;...
                                                           2.13, 8.19],...//Имена параметров, определяющих динамику
                                                          systemAttributes...//Аттрибуты системы
                                                          );
          
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e1.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = CountDynamicsProections([A3, A1, A2],...
                                                       [1, 1, 3, 2],...//Индексы имен динамик
                                                       [3, 2, 1, 2],...//Индексы динамик (в именах)
                                                       DynamicFiltersFunctions...//Функция сжатия динамик
                                                       ); 
          
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e2.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;...
                                CountDynamicsProections([A3, A1, A2],...
                                [1, 1, 3, 2],...//Индексы имен динамик
                                [3, 2, 1, 2],...//Индексы динамик (в именах)
                                DynamicFiltersFunctions...//Функция сжатия динамик
                                )]; 

SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e3.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;...
                                CountDynamicsProections([A3, A1, A2],...
                                [1, 1, 3, 2],...//Индексы имен динамик
                                [3, 2, 1, 2],...//Индексы динамик (в именах)
                                DynamicFiltersFunctions...//Функция сжатия динамик
                                )]; 
                             
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);
assert_checkequal(ModelParametrsValues, [7.35, 0.81, 3.81;...
                                          6.9, 0.51, 6.81;...
                                         8.19, 0.93, 3.51]);
                          
clear;
