[a, pathlib] = libraryinfo("physics_learning_environmentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('Functions') - 1 - length('macros')) + 'xcos';

//Запускаем базовую функцию
SystemParametrsNames = ['b', 'a', 'd'];//Имена параметров
SystemParametrsValues = [ 1.5, 0.81, 3.81;
                         2.25, 0.51, 6.81;
                         1.11, 0.93, 3.51];//Значения параметров
SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2'];//Имена выходных характеристик модели
[SystemOutputCharacteristics,...//Выходные характеристики
 parametrs...//Параметры
 ]=AdvancedModelLearningDataGeneralTimeGrid(['d', 'a'],...//Имена параметров модели
                                            SystemParametrsNames,...//Имена параметров, определяющих динамику
                                            SystemParametrsValues,...//Значения параметров, определяющих динамику
                                            SystemOutputChatacteristicsNames,...//Имена выходных характеристик системы
                                            [1, 3, 2, 2],...//Индексы выходных характеристик системы
                                            [2, 1, 1, 3],...//Индексы выходных характеристик системы (в именах)
                                            fullfile(pathlib, 'Proba3.zcos'),...//Имя схемы системы
                                            [0.0:0.1:9.9]'...//Моменты времени
                                            );
          
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba3e1.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [A1.values(:,2), A2.values(:,1), A3.values(:,1), A3.values(:,3)]; 
          
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba3e2.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,2), A2.values(:,1), A3.values(:,1), A3.values(:,3)]; 

SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba3e3.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,2), A2.values(:,1), A3.values(:,1), A3.values(:,3)]; 

dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
                                  
assert_checktrue(dSystemOutputChatacteristics < 30);
assert_checkequal(parametrs, [3.81*ones(100, 1), 0.81*ones(100, 1);...
                              6.81*ones(100, 1), 0.51*ones(100, 1);...
                              3.51*ones(100, 1), 0.93*ones(100, 1)]);
                          
clear;
