[a, pathlib] = libraryinfo("physics_learning_environmentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('Functions') - 1 - length('macros')) + 'xcos';

//Создаем структуру аттрибутов
systemAttributes = SystemAttributesInGenericTimeGrid(fullfile(pathlib, 'Proba3.zcos'),...//Имя схемы системы
                                                     ['e', 'd', 'a'],...//Имена параметров модели
                                                     ['b', 'a', 'd'],...//Имена параметров системы
                                                     [1.11, 0.51, 3.51],...//Минимальные величины параметров системы
                                                     [ 1.5, 0.81, 3.81;...
                                                      2.25, 0.51, 6.81;...
                                                      1.11, 0.93, 3.51],...//Величины параметров системы
                                                     [2.25, 0.93, 6.81],...//Максимальные величины параметров системы
                                                     ['A1', 'A3', 'A2'],...//Имена выходных характеристик системы
                                                     [1, 3, 2, 2],...//Индексы имен выходных характеристик
                                                     [2, 1, 1, 3],...//Индексы выходных характеристик
                                                     [0.0:0.1:9.9]'...//Функции сжатия динамик выходных хараткеристик системы
                                                     );

//Запускаем базовую функцию
[SystemOutputCharacteristics,...//Выходные характеристики
 parametrs...//Параметры
 ]=AdvancedModelLearningDataGeneralTimeGridWithGenericParametrs(['e', 'c'],...//Имена параметров, определяющих динамику
                                                                [ 6.3, 7.35;
                                                                  1.5,  6.9;
                                                                 2.13, 8.19],...//Значения параметров, определяющих динамику
                                                                systemAttributes...//Аттрибуты системы
                                                                );
          
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba8e1.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [A1.values(:,2), A2.values(:,1), A3.values(:,1), A3.values(:,3)]; 
          
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba8e2.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,2), A2.values(:,1), A3.values(:,1), A3.values(:,3)]; 

SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba8e3.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,2), A2.values(:,1), A3.values(:,1), A3.values(:,3)]; 

dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);
                                    
assert_checktrue(dSystemOutputChatacteristics < 30);
assert_checkequal(parametrs, [ 6.3*ones(100, 1), 3.81*ones(100, 1), 0.81*ones(100, 1);...
                               1.5*ones(100, 1), 6.81*ones(100, 1), 0.51*ones(100, 1);...
                              2.13*ones(100, 1), 3.51*ones(100, 1), 0.93*ones(100, 1)]);
                          
clear;
