[a, pathlib] = libraryinfo("physics_learning_environmentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('Functions') - 1 - length('macros')) + 'xcos';

//Функция фильтра
function [parametrs]=DynamicFilterFunction1(time, value)
    parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];
endfunction
function [parametr]=DynamicFilterFunction2(time, value)
    parametr=sum(time.*value) / (2*length(time));
endfunction

//Запускаем динамику
SystemShema = xcosDiagramToScilab(fullfile(pathlib, 'Proba1.zcos'));//Схема системы
xcos_simulate(SystemShema, 4);

//Массив функций фильтров
DynamicFiltersFunctions = cell(1, 3);
DynamicFiltersFunctions{1} = DynamicFilterFunction1;
DynamicFiltersFunctions{2} = DynamicFilterFunction2;
DynamicFiltersFunctions{3} = DynamicFilterFunction2;

//Берем фильтры
[parametrs...//Параметры
 ]=CountDynamicsProections([A3, A2],...//Переменная динамики
                           [1, 1, 2],...//Индексы имен динамик
                           [3, 2, 1],...//Индексы динамик (в именах)
                           DynamicFiltersFunctions...//Функция фильтра динамики
                           ); 

//Проверяем расчет
assert_checkequal(parametrs, [sum(A3.time.*A3.values(:,3)) / length(A3.time),...
                              sum((A3.time.^2).*A3.values(:,3)) / (3*length(A3.time)),...
                              sum(A3.time.*A3.values(:,2)) / (2*length(A3.time)),...
                              sum(A2.time.*A2.values(:,1)) / (2*length(A2.time))]);
                          
clear;
