[a, pathlib] = libraryinfo("physics_learning_environmentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('Functions') - 1 - length('macros')) + 'xcos';

//Запускаем динамику
SystemShema = xcosDiagramToScilab(fullfile(pathlib, 'Proba2.zcos'));//Схема системы
xcos_simulate(SystemShema, 4);

//Берем фильтры
[DynamicsInGeneralTimeGrid...//Параметры
 ]=DynamicsToGeneralTimeGrid([A3, A1, A2],...//Переменная динамики
                             [1, 1, 3, 2],...//Индексы имен динамик
                             [3, 2, 1, 2],...//Индексы динамик (в именах)
                             [0.15:0.15:9.9]'...//Моменты времени
                             ); 

//Запускаем динамику
SystemShema = xcosDiagramToScilab(fullfile(pathlib, 'Proba2e.zcos'));//Схема системы
xcos_simulate(SystemShema, 4);

//Проверяем расчет
Err = abs((DynamicsInGeneralTimeGrid - [A3.values(:,3), A3.values(:,2),...
                                        A2.values(:,1), A1.values(:,2)]) ./ [A3.values(:,3), A3.values(:,2),...
                                                                             A2.values(:,1), A1.values(:,2)]) * 100;

//Проверяем расчет
assert_checktrue(Err < 7.23);
                          
clear;
